Bug 801264 - [abrt] calibre-0.8.33-2.fc16: __libc_message: Process /usr/bin/python was killed by signal 6 (SIGABRT)
[abrt] calibre-0.8.33-2.fc16: __libc_message: Process /usr/bin/python was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:ca5c556715dec91e5f0b0b2f87d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 00:27 EST by kksheth
Modified: 2013-02-13 20:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:39:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (20.03 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: backtrace (21.36 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: xsession_errors (26.54 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: maps (35.78 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: dso_list (16.10 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: build_ids (7.21 KB, text/plain)
2012-03-08 00:27 EST, kksheth
no flags Details
File: backtrace (21.36 KB, text/plain)
2012-03-08 00:42 EST, kksheth
no flags Details

  None (edit)
Description kksheth 2012-03-08 00:27:01 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        python2 /usr/bin/calibre-parallel
comment:        high quality .pdf file failed to open. first thubnail error then failed to open file. even calibre failed to open file. Adobe reader opens the file
crash_function: __libc_message
executable:     /usr/bin/python
kernel:         3.2.9-1.fc16.i686
pid:            2020
pwd:            /home/kksheth
reason:         Process /usr/bin/python was killed by signal 6 (SIGABRT)
time:           Thu 08 Mar 2012 10:30:52 AM IST
uid:            1000
username:       kksheth

backtrace:      Text file, 21873 bytes
build_ids:      Text file, 7380 bytes
dso_list:       Text file, 16489 bytes
event_log:      Text file, 20512 bytes
maps:           Text file, 36637 bytes
xsession_errors: Text file, 27174 bytes

environ:
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GJS_DEBUG_OUTPUT=stderr
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ORIGWD=/home/kksheth
:QT_IM_MODULE=xim
:LOGNAME=kksheth
:USER=kksheth
:HOME=/home/kksheth
:XDG_VTNR=1
:GNOME_KEYRING_CONTROL=/tmp/keyring-2j9zIk
:DISPLAY=:0.0
:LANG=en_US.utf8
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=cde9285dfdbab195da93412d0000000a-1331182796.421999-1538067244
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1361,unix/unix:/tmp/.ICE-unix/1361
:SHLVL=1
:CALIBRE_WORKER=1
:HISTSIZE=1000
:CALIBRE_WORKER_KEY=1b54e5d18c6cf6095b82cea3ad80d41f943e5528cae445f722d5bb7be9245a9c
:WINDOWPATH=1
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2006
:GPG_AGENT_INFO=/tmp/keyring-2j9zIk/gpg:0:1
:CALIBRE_WORKER_RESULT=2f746d702f63616c696272655f302e382e33335f746d705f727737784a472f6970635f726573756c745f325f315f5173417a624e2e7069636b6c65
:USERNAME=kksheth
:IMSETTINGS_MODULE=IBus
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/calibre-gui.desktop
:XDG_RUNTIME_DIR=/run/user/kksheth
:CALIBRE_WORKER_ADDRESS=800255202f746d702f70796d702d326b705831722f6c697374656e65722d6c50306a374371012e
:SSH_AUTH_SOCK=/tmp/keyring-2j9zIk/ssh
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/kksheth/.local/bin:/home/kksheth/bin
:XMODIFIERS=@im=ibus
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oKw9bUVAF6,guid=344808c2b59987eb3f0abbe500000019
:_=/usr/bin/gnome-session
:XAUTHORITY=/var/run/gdm/auth-for-kksheth-Hel8MM/database
:GDMSESSION=gnome
:DESKTOP_SESSION=gnome
:HOSTNAME=localhost.localdomain
:GDM_LANG=en_US.utf8
:HISTCONTROL=ignoredups
:PWD=/home/kksheth
:MAIL=/var/spool/mail/kksheth
:CALIBRE_WORKER_TEMP_DIR=53272f746d702f63616c696272655f302e382e33335f746d705f727737784a47270a70310a2e
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SEAT=seat0

smolt_data:
:
:
:General
:=================================
:UUID: 749132df-d328-400c-b298-808a0eb89741
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 6185.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2100 CPU @ 3.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3100
:System Memory: 3518
:System Swap: 2999
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.2.9-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5361:12080:5361:8285) pci, None, SIMPLE, SoftV92 SpeakerPhone SoftRing Modem with SmartSP
:(32902:7202:32902:8215) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7170:32902:8215) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:32902:8215) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7260:32902:8215) pci, None, PCI/ISA, H61 Express Chipset Family LPC Controller
:(32902:7200:32902:8215) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5379:32902:8215) pci, e1000e, ETHERNET, 82579V Gigabit Network Connection
:(4098:43576:4163:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4739:34962:32902:8215) pci, None, PCI/PCI, N/A
:(4098:38223:4163:852) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(32902:7213:32902:8215) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:32902:8215) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:32902:8215) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:32902:8215) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:32902:8215) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda8 / ext4 4096 4096 11178093 9886800 9774867 2763360 2603200 2603200
:/dev/sda5 WITHHELD fuseblk 4096 4096 36621567 10188080 10188080 40850624 40832134 40832134
:/dev/sda1 WITHHELD fuseblk 4096 4096 12181503 2385772 2385772 9805232 9615120 9615120
:/dev/sda6 /boot ext4 4096 4096 255338 228974 216174 64000 63723 63723
:

var_log_messages:
:Mar  4 13:32:22 localhost yum[2080]: Updated: python-cloudfiles-1.7.9.3-1.fc16.noarch
:Mar  6 00:14:18 localhost yum[4088]: Installed: python-nose-1.1.2-1.fc16.noarch
:Mar  6 00:14:26 localhost yum[4088]: Installed: gnome-python2-rsvg-2.32.0-5.fc16.i686
:Mar  8 10:30:54 localhost abrt[2046]: Saved core dump of pid 2020 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-03-08-10:30:52-2020 (143069184 bytes)
Comment 1 kksheth 2012-03-08 00:27:19 EST
Created attachment 568493 [details]
File: event_log
Comment 2 kksheth 2012-03-08 00:27:22 EST
Created attachment 568494 [details]
File: backtrace
Comment 3 kksheth 2012-03-08 00:27:27 EST
Created attachment 568495 [details]
File: xsession_errors
Comment 4 kksheth 2012-03-08 00:27:31 EST
Created attachment 568496 [details]
File: maps
Comment 5 kksheth 2012-03-08 00:27:35 EST
Created attachment 568497 [details]
File: dso_list
Comment 6 kksheth 2012-03-08 00:27:38 EST
Created attachment 568498 [details]
File: build_ids
Comment 7 kksheth 2012-03-08 00:42:46 EST
a high quality .pdf file failed to open. First when file was copied to harddisk (from flash drive), it gave thubnail error in evince. Then evince failed to open the file. Then calibre failed to open the file. Adobe reader has no problem (I am dual booting with windows and on booting the windows, same file (without thubnail) opens with adobe reader. error log of calibre is below;

calibre, version 0.8.33
WARNING: Failed to read metadata: Failed to read metadata from the following:

Linux_Format_UK_2012-04.pdf
Traceback (most recent call last):
  File "/usr/lib/calibre/calibre/gui2/add.py", line 165, in add
    mi = OPF(opf).to_book_metadata()
  File "/usr/lib/calibre/calibre/ebooks/metadata/opf2.py", line 552, in __init__
    stream = open(stream, 'rb')
IOError: [Errno 2] No such file or directory: '/tmp/calibre_0.8.33_tmp_16tz7m/EV0ho6_rm_worker/0.opf'


backtrace_rating: 3
Package: calibre-0.8.33-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 8 kksheth 2012-03-08 00:42:50 EST
Created attachment 568502 [details]
File: backtrace
Comment 9 Kevin Fenzi 2012-03-08 11:29:16 EST
Can you try the newest version from my calibre side repo and confirm the issue still occurs?

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 10 Fedora End Of Life 2013-01-16 18:14:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 20:39:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.